<?php

require_once 'config.php';
$url = $local_url . "/createuser";

$username = urlencode("jubaworker+" . rand(1000, 9999) . "@gmail.com");

$username = "jubaworker+" . rand(1000, 9999) . "@gmail.com";
$username = "ameye+auto" . rand(1000, 9999) . "@chiefsoft.com";
$username = "fluxtradev+a" . rand(1000, 9999) . "@gmail.com";
//$username = "ses66181+" . rand(1000, 9999) . "@gmail.com";
$phone = (rand(1, 2) > 1) ? "770222" . rand(2222, 9999) : '';

include 'sample_data.php'; // just for sample data
$firstname = random_name(); // 
$lastname = random_name(); // 

$data = array(
    "country" => 'NG',
    "username" => $username,
    "password" => "wrenchboard",
    "email" => $username,
    "firstname" => $firstname,
    "lastname" => $lastname,
    "phone" => $phone,
    "news" =>0 ,
    "terms" => 1
);

$content = json_encode($data);

$curl = curl_init($url);
curl_setopt($curl, CURLOPT_HEADER, false);
curl_setopt($curl, CURLOPT_SSL_VERIFYPEER, false);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
curl_setopt($curl, CURLOPT_HTTPHEADER, array("Content-type" => "application/json"));
curl_setopt($curl, CURLOPT_POST, true);
curl_setopt($curl, CURLOPT_POSTFIELDS, $content);

$json_response = curl_exec($curl);

$status = curl_getinfo($curl, CURLINFO_HTTP_CODE);

if ($status != 200) {
    echo ("Error: call to URL $url failed with status $status, response $json_response, curl_error " . curl_error($curl) . ", curl_errno " . curl_errno($curl));
}

curl_close($curl);

$response = json_decode($json_response, true);

var_dump($response);

echo "<hr/>";
var_dump($data);

//echo "<hr/><pre>";
echo "<pre>";
echo str_replace(array("{","}",","),array("{\n\t","}\n",",\n\t"),$json_response);
echo "</pre>";

//echo "</pre><hr/>";

echo "<hr/>";

// saving the session in a file for other call use
$myfile = fopen("fl/sample_session.txt", "w") ;
$txt = $response['sessionid']."\n";
fwrite($myfile, $txt);
$txt = $response['member_id']."\n";
fwrite($myfile, $txt);
fclose($myfile);


echo highlight_string(file_get_contents(__FILE__));
?>
